-- MySQL dump 10.13  Distrib 5.7.9, for osx10.9 (x86_64)
--
-- Host: localhost    Database: seedusoontest
-- ------------------------------------------------------
-- Server version	5.7.12

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `BiologicalEntity`
--

DROP TABLE IF EXISTS `BiologicalEntity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `BiologicalEntity` (
  `biologicalEntityType` varchar(10) NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=241 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ChemicalPhysicalMutagenesis`
--

DROP TABLE IF EXISTS `ChemicalPhysicalMutagenesis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ChemicalPhysicalMutagenesis` (
  `dose` varchar(20) DEFAULT NULL,
  `id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `FK_5i25gqb325pshqhxjtfnwl9hu` FOREIGN KEY (`id`) REFERENCES `Mutation` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Crossing`
--

DROP TABLE IF EXISTS `Crossing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Crossing` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `femaleBiologicalEntity_id` int(11) DEFAULT NULL,
  `femaleLine_id` int(11) NOT NULL,
  `maleBiologicalEntity_id` int(11) DEFAULT NULL,
  `maleLine_id` int(11) NOT NULL,
  `comment` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_h67uewqq6u30q8uun2v25vycl` (`femaleBiologicalEntity_id`),
  KEY `FK_mvpk8r7glo5w1yiws7ahn6oot` (`femaleLine_id`),
  KEY `FK_7rk7oxrdasp4xmi5pi1bud1mn` (`maleBiologicalEntity_id`),
  KEY `FK_eqarq82c37acpnsm8h0jjpiei` (`maleLine_id`),
  CONSTRAINT `FK_7rk7oxrdasp4xmi5pi1bud1mn` FOREIGN KEY (`maleBiologicalEntity_id`) REFERENCES `BiologicalEntity` (`id`),
  CONSTRAINT `FK_eqarq82c37acpnsm8h0jjpiei` FOREIGN KEY (`maleLine_id`) REFERENCES `Line` (`id`),
  CONSTRAINT `FK_h67uewqq6u30q8uun2v25vycl` FOREIGN KEY (`femaleBiologicalEntity_id`) REFERENCES `BiologicalEntity` (`id`),
  CONSTRAINT `FK_mvpk8r7glo5w1yiws7ahn6oot` FOREIGN KEY (`femaleLine_id`) REFERENCES `Line` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=112 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `DBConfig`
--

DROP TABLE IF EXISTS `DBConfig`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DBConfig` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `DescentType`
--

DROP TABLE IF EXISTS `DescentType`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DescentType` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_suvf33xmjopqx7g93pojesx7` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=70 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Ecotype`
--

DROP TABLE IF EXISTS `Ecotype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Ecotype` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `organismType` varchar(255) NOT NULL,
  `specie_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_925trmdb3ic5cbqukah78wbh1` (`name`,`specie_id`),
  KEY `FK_3dxqgguhmenrgw0d2agxf7gy9` (`specie_id`),
  CONSTRAINT `FK_3dxqgguhmenrgw0d2agxf7gy9` FOREIGN KEY (`specie_id`) REFERENCES `Specie` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=664 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Experiment`
--

DROP TABLE IF EXISTS `Experiment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Experiment` (
  `experimentType` varchar(10) NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `laboratoryNotebookReference` varchar(255) DEFAULT NULL,
  `person_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_rgfsnng6wtkv8mx7po3wncibs` (`person_id`),
  CONSTRAINT `FK_rgfsnng6wtkv8mx7po3wncibs` FOREIGN KEY (`person_id`) REFERENCES `Person` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1468 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `GeneSecondaryName`
--

DROP TABLE IF EXISTS `GeneSecondaryName`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `GeneSecondaryName` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `mutation_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_jt4oo0n3q6rt0ft2gahxfs2ty` (`name`,`mutation_id`),
  KEY `FK_l8afgf9y5pawyomh0a30ojofd` (`mutation_id`),
  CONSTRAINT `FK_l8afgf9y5pawyomh0a30ojofd` FOREIGN KEY (`mutation_id`) REFERENCES `Mutation` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=85 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Genotyping`
--

DROP TABLE IF EXISTS `Genotyping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Genotyping` (
  `genotype` varchar(255) DEFAULT NULL,
  `id` int(11) NOT NULL,
  `mutation_id` int(11) NOT NULL,
  `plant_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_n9op4ngvncu4ejech8f1gjv31` (`mutation_id`),
  KEY `FK_kkxcp8brfbk9rjlsxr8r47ehw` (`plant_id`),
  CONSTRAINT `FK_kkxcp8brfbk9rjlsxr8r47ehw` FOREIGN KEY (`plant_id`) REFERENCES `Plant` (`id`),
  CONSTRAINT `FK_n9op4ngvncu4ejech8f1gjv31` FOREIGN KEY (`mutation_id`) REFERENCES `Mutation` (`id`),
  CONSTRAINT `FK_omyhnavwi08toqb6v0dm3v148` FOREIGN KEY (`id`) REFERENCES `Experiment` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Germination`
--

DROP TABLE IF EXISTS `Germination`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Germination` (
  `percent` float DEFAULT NULL,
  `percentDate` date DEFAULT NULL,
  `id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `FK_lvjsfhnqwn9s5rsh3o6f2vu2b` FOREIGN KEY (`id`) REFERENCES `Experiment` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Harvest`
--

DROP TABLE IF EXISTS `Harvest`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Harvest` (
  `date` date DEFAULT NULL,
  `id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `FK_khno1y22gdh2pydo0s3sy3fga` FOREIGN KEY (`id`) REFERENCES `Experiment` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Help`
--

DROP TABLE IF EXISTS `Help`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Help` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file` longblob,
  `fileName` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Line`
--

DROP TABLE IF EXISTS `Line`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Line` (
  `lineType` varchar(10) NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `articleReference` varchar(255) DEFAULT NULL,
  `articleReferenceFile` longblob,
  `articleReferenceFileName` varchar(255) DEFAULT NULL,
  `mta` bit(1) DEFAULT NULL,
  `mtaDetails` varchar(255) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  `recordDate` date DEFAULT NULL,
  `source` varchar(255) DEFAULT NULL,
  `sourceFile` longblob,
  `sourceFileName` varchar(255) DEFAULT NULL,
  `crossing_id` int(11) DEFAULT NULL,
  `mutagenesis_id` int(11) DEFAULT NULL,
  `person_id` int(11) NOT NULL,
  `specie_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_1txihr05piyvvos50iaaxk6gm` (`name`),
  KEY `FK_gr50bjj85miugl2qdrnxqh70d` (`crossing_id`),
  KEY `FK_gdr85ddpptw3vikryux1bgq6b` (`mutagenesis_id`),
  KEY `FK_mvlfkn058iqmrcb87y3wqd20a` (`person_id`),
  KEY `FK_fbyco66oeoj3gh0blft6eakrv` (`specie_id`),
  CONSTRAINT `FK_fbyco66oeoj3gh0blft6eakrv` FOREIGN KEY (`specie_id`) REFERENCES `Specie` (`id`),
  CONSTRAINT `FK_gdr85ddpptw3vikryux1bgq6b` FOREIGN KEY (`mutagenesis_id`) REFERENCES `Mutagenesis` (`id`),
  CONSTRAINT `FK_gr50bjj85miugl2qdrnxqh70d` FOREIGN KEY (`crossing_id`) REFERENCES `Crossing` (`id`),
  CONSTRAINT `FK_mvlfkn058iqmrcb87y3wqd20a` FOREIGN KEY (`person_id`) REFERENCES `Person` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=763 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `LineEcotype`
--

DROP TABLE IF EXISTS `LineEcotype`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `LineEcotype` (
  `line_id` int(11) NOT NULL,
  `ecotype_id` int(11) NOT NULL,
  PRIMARY KEY (`line_id`,`ecotype_id`),
  KEY `FK_pelgt6s9kpjm7q52xe3ojvb19` (`ecotype_id`),
  CONSTRAINT `FK_hx6nal34w6ofhu7v06wx8fmtp` FOREIGN KEY (`line_id`) REFERENCES `Line` (`id`),
  CONSTRAINT `FK_pelgt6s9kpjm7q52xe3ojvb19` FOREIGN KEY (`ecotype_id`) REFERENCES `Ecotype` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `LineSecondaryName`
--

DROP TABLE IF EXISTS `LineSecondaryName`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `LineSecondaryName` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `line_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_nobj8qcj5rdcnbkiwbtpuxrgk` (`name`,`line_id`),
  KEY `FK_5n46xekc0xwos4ew74t975gj5` (`line_id`),
  CONSTRAINT `FK_5n46xekc0xwos4ew74t975gj5` FOREIGN KEY (`line_id`) REFERENCES `Line` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=244 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `MTAFile`
--

DROP TABLE IF EXISTS `MTAFile`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MTAFile` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file` longblob NOT NULL,
  `fileName` varchar(255) NOT NULL,
  `line_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_3nldyowfjuisic826hwh3rjiq` (`line_id`),
  CONSTRAINT `FK_3nldyowfjuisic826hwh3rjiq` FOREIGN KEY (`line_id`) REFERENCES `Line` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `MTAFileModel`
--

DROP TABLE IF EXISTS `MTAFileModel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MTAFileModel` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file` longblob,
  `fileName` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Mutagenesis`
--

DROP TABLE IF EXISTS `Mutagenesis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Mutagenesis` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `biologicalEntity_id` int(11) DEFAULT NULL,
  `line_id` int(11) NOT NULL,
  `comment` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_2tcxklcgv10x6im5v0gf474cx` (`biologicalEntity_id`),
  KEY `FK_kmtt8kw3e43blw3svssgesox9` (`line_id`),
  CONSTRAINT `FK_2tcxklcgv10x6im5v0gf474cx` FOREIGN KEY (`biologicalEntity_id`) REFERENCES `BiologicalEntity` (`id`),
  CONSTRAINT `FK_kmtt8kw3e43blw3svssgesox9` FOREIGN KEY (`line_id`) REFERENCES `Line` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=88 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Mutation`
--

DROP TABLE IF EXISTS `Mutation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Mutation` (
  `mutationType` varchar(10) NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `description` varchar(255) DEFAULT NULL,
  `designation` varchar(30) NOT NULL,
  `geneName` varchar(255) DEFAULT NULL,
  `number` int(11) NOT NULL,
  `line_id` int(11) NOT NULL,
  `mutationGenotyping_id` int(11) NOT NULL,
  `mutationMethod_id` int(11) DEFAULT NULL,
  `mutationMethodReference_id` int(11) DEFAULT NULL,
  `mutationSequencing_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_dmyfn17ss7p7x35uu2oos6uh2` (`mutationGenotyping_id`),
  UNIQUE KEY `UK_qrjxey2wef9qhh4neqtoqh097` (`mutationSequencing_id`),
  UNIQUE KEY `UK_2dpptl50ihpqk9drv738ykcf1` (`designation`,`line_id`),
  KEY `FK_7nbkafv4v5irhmwg0crarpk32` (`line_id`),
  KEY `FK_tmip80blbgpimsqf0w9ki02v2` (`mutationMethod_id`),
  KEY `FK_9n0nh2gmdy3eh6ks7stwky5sc` (`mutationMethodReference_id`),
  CONSTRAINT `FK_7nbkafv4v5irhmwg0crarpk32` FOREIGN KEY (`line_id`) REFERENCES `Line` (`id`),
  CONSTRAINT `FK_9n0nh2gmdy3eh6ks7stwky5sc` FOREIGN KEY (`mutationMethodReference_id`) REFERENCES `MutationMethodReference` (`id`),
  CONSTRAINT `FK_dmyfn17ss7p7x35uu2oos6uh2` FOREIGN KEY (`mutationGenotyping_id`) REFERENCES `MutationGenotyping` (`id`),
  CONSTRAINT `FK_qrjxey2wef9qhh4neqtoqh097` FOREIGN KEY (`mutationSequencing_id`) REFERENCES `MutationSequencing` (`id`),
  CONSTRAINT `FK_tmip80blbgpimsqf0w9ki02v2` FOREIGN KEY (`mutationMethod_id`) REFERENCES `MutationMethod` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=385 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `MutationGenotyping`
--

DROP TABLE IF EXISTS `MutationGenotyping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MutationGenotyping` (
  `protocol` varchar(20000) DEFAULT NULL,
  `protocolFile` longblob,
  `protocolFileName` varchar(255) DEFAULT NULL,
  `id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `FK_mj4n6s43rbd927v9ycbjwfj54` FOREIGN KEY (`id`) REFERENCES `Experiment` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `MutationMethod`
--

DROP TABLE IF EXISTS `MutationMethod`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MutationMethod` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mutationType` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `organismType` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_53xyb73n4gbb4p5x44d68wr0v` (`name`,`mutationType`)
) ENGINE=InnoDB AUTO_INCREMENT=238 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `MutationMethodReference`
--

DROP TABLE IF EXISTS `MutationMethodReference`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MutationMethodReference` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mutationType` varchar(255) NOT NULL,
  `organismType` varchar(255) NOT NULL,
  `reference` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_prgc450hnyn6bqct9qm5n7drn` (`reference`,`mutationType`)
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `MutationSequencing`
--

DROP TABLE IF EXISTS `MutationSequencing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MutationSequencing` (
  `sequence` varchar(20000) DEFAULT NULL,
  `sequenceFile` longblob,
  `sequenceFileName` varchar(255) DEFAULT NULL,
  `id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `FK_jn9hpidwownkjchaf8b75il3t` FOREIGN KEY (`id`) REFERENCES `Experiment` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `OrganismClass`
--

DROP TABLE IF EXISTS `OrganismClass`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `OrganismClass` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_3c86b726q5y4yjvw5o7xbs6vl` (`number`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Pathogenicity`
--

DROP TABLE IF EXISTS `Pathogenicity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Pathogenicity` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_etc95dpc4atlmywiuqxdl534o` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Person`
--

DROP TABLE IF EXISTS `Person`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Person` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `activated` bit(1) NOT NULL,
  `firstName` varchar(255) NOT NULL,
  `lastName` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_m2gmsomoeg47dc34fgb88wdmg` (`lastName`,`firstName`)
) ENGINE=InnoDB AUTO_INCREMENT=898 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Phenotyping`
--

DROP TABLE IF EXISTS `Phenotyping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Phenotyping` (
  `phenotype` varchar(255) DEFAULT NULL,
  `id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `FK_becxb5wqkew5bf4j3qxvoantu` FOREIGN KEY (`id`) REFERENCES `Experiment` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `PhenotypeFile`
--

DROP TABLE IF EXISTS `PhenotypeFile`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `PhenotypeFile` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file` longblob NOT NULL,
  `fileName` varchar(255) NOT NULL,
  `phenotyping_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY PHENOTYPE_FILE_PHENOTYPING_ID_FK (`phenotyping_id`),
  CONSTRAINT PHENOTYPE_FILE_PHENOTYPING_ID_FK FOREIGN KEY (`phenotyping_id`) REFERENCES `Phenotyping` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Plant`
--

DROP TABLE IF EXISTS `Plant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Plant` (
  `comment` varchar(255) DEFAULT NULL,
  `generation` varchar(255) DEFAULT NULL,
  `identifier` varchar(255) NOT NULL,
  `id` int(11) NOT NULL,
  `phenotyping_id` int(11) NOT NULL,
  `plantLine_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_tci6tkgy25ngcd8dw05ndv0y3` (`phenotyping_id`),
  KEY `FK_d7ir7gfgwiip3ovuhlwk53w1l` (`plantLine_id`),
  CONSTRAINT `FK_99v946fdg6oevmwqg9qjqdwj9` FOREIGN KEY (`id`) REFERENCES `BiologicalEntity` (`id`),
  CONSTRAINT `FK_d7ir7gfgwiip3ovuhlwk53w1l` FOREIGN KEY (`plantLine_id`) REFERENCES `PlantLine` (`id`),
  CONSTRAINT `FK_tci6tkgy25ngcd8dw05ndv0y3` FOREIGN KEY (`phenotyping_id`) REFERENCES `Phenotyping` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `PlantLine`
--

DROP TABLE IF EXISTS `PlantLine`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `PlantLine` (
  `id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `FK_ergcv48go6f350r5cke52on9j` FOREIGN KEY (`id`) REFERENCES `Line` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Resistance`
--

DROP TABLE IF EXISTS `Resistance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Resistance` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_hl5mrrlsdo0ngwexfedorlu0q` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=130 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `SeedBatch`
--

DROP TABLE IF EXISTS `SeedBatch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SeedBatch` (
  `comment` varchar(255) DEFAULT NULL,
  `generation` varchar(255) DEFAULT NULL,
  `identifier` varchar(255) NOT NULL,
  `quantity` varchar(255) DEFAULT NULL,
  `storageDate` date DEFAULT NULL,
  `storagePlace` varchar(255) DEFAULT NULL,
  `id` int(11) NOT NULL,
  `descentType_id` int(11) DEFAULT NULL,
  `germination_id` int(11) NOT NULL,
  `harvest_id` int(11) NOT NULL,
  `phenotyping_id` int(11) NOT NULL,
  `plant_id` int(11) DEFAULT NULL,
  `plantLine_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_ds1rhvq26la6lj519ju4jixvk` (`germination_id`),
  UNIQUE KEY `UK_h3jk0maxp6uxky2n4vhg6ad5h` (`harvest_id`),
  UNIQUE KEY `UK_7j1welhxxsaamq0omn5mxwkl1` (`phenotyping_id`),
  KEY `FK_j92s4o732ykh7oyl8fxw7dcf9` (`descentType_id`),
  KEY `FK_6gf6abqgq2gk6igg3wu9b6hc6` (`plant_id`),
  KEY `FK_35glbnpjqrybtn6qqcu8kvfmv` (`plantLine_id`),
  CONSTRAINT `FK_35glbnpjqrybtn6qqcu8kvfmv` FOREIGN KEY (`plantLine_id`) REFERENCES `PlantLine` (`id`),
  CONSTRAINT `FK_6gf6abqgq2gk6igg3wu9b6hc6` FOREIGN KEY (`plant_id`) REFERENCES `Plant` (`id`),
  CONSTRAINT `FK_7j1welhxxsaamq0omn5mxwkl1` FOREIGN KEY (`phenotyping_id`) REFERENCES `Phenotyping` (`id`),
  CONSTRAINT `FK_ds1rhvq26la6lj519ju4jixvk` FOREIGN KEY (`germination_id`) REFERENCES `Germination` (`id`),
  CONSTRAINT `FK_ei791cxa613cg1t1t5ltbm3eq` FOREIGN KEY (`id`) REFERENCES `BiologicalEntity` (`id`),
  CONSTRAINT `FK_h3jk0maxp6uxky2n4vhg6ad5h` FOREIGN KEY (`harvest_id`) REFERENCES `Harvest` (`id`),
  CONSTRAINT `FK_j92s4o732ykh7oyl8fxw7dcf9` FOREIGN KEY (`descentType_id`) REFERENCES `DescentType` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `SeedBatchAlarms`
--

DROP TABLE IF EXISTS `SeedBatchAlarms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SeedBatchAlarms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `germinationAlarmActivated` bit(1) NOT NULL,
  `germinationAlarmInDays` int(11) DEFAULT NULL,
  `harvestAlarmActivated` bit(1) NOT NULL,
  `harvestAlarmInDays` int(11) DEFAULT NULL,
  `storageAlarmActivated` bit(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=682 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `SegregationProfiling`
--

DROP TABLE IF EXISTS `SegregationProfiling`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SegregationProfiling` (
  `segregationProfile` varchar(255) DEFAULT NULL,
  `id` int(11) NOT NULL,
  `mutation_id` int(11) NOT NULL,
  `seedBatch_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_rmimd8ffi6qr9mufdl27rr4wx` (`mutation_id`),
  KEY `FK_jsiod11yl1gt697nvuo8cwxe1` (`seedBatch_id`),
  CONSTRAINT `FK_jsiod11yl1gt697nvuo8cwxe1` FOREIGN KEY (`seedBatch_id`) REFERENCES `SeedBatch` (`id`),
  CONSTRAINT `FK_rmimd8ffi6qr9mufdl27rr4wx` FOREIGN KEY (`mutation_id`) REFERENCES `Mutation` (`id`),
  CONSTRAINT `FK_tn6tknivonxiwn1fb64svst0o` FOREIGN KEY (`id`) REFERENCES `Experiment` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Specie`
--

DROP TABLE IF EXISTS `Specie`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Specie` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `organismType` varchar(255) NOT NULL,
  `seedBatchAlarms_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_hgoa3lpds432qq87dtq0igvse` (`name`),
  KEY `SPECIE_SEED_BATCH_ALARMS_ID_FK` (`seedBatchAlarms_id`),
  CONSTRAINT `SPECIE_SEED_BATCH_ALARMS_ID_FK` FOREIGN KEY (`seedBatchAlarms_id`) REFERENCES `SeedBatchAlarms` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=682 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Strain`
--

DROP TABLE IF EXISTS `Strain`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Strain` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_qgbpm5mxnwsfucnlysn2dvxe7` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=127 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `Transgenesis`
--

DROP TABLE IF EXISTS `Transgenesis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Transgenesis` (
  `id` int(11) NOT NULL,
  `organismClass_id` int(11) DEFAULT NULL,
  `strain_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_4bjjwcknngktvd7cw7fpi8p6d` (`organismClass_id`),
  KEY `FK_7lf441r9sx9n9g61tthvu3ftd` (`strain_id`),
  CONSTRAINT `FK_4bjjwcknngktvd7cw7fpi8p6d` FOREIGN KEY (`organismClass_id`) REFERENCES `OrganismClass` (`id`),
  CONSTRAINT `FK_7lf441r9sx9n9g61tthvu3ftd` FOREIGN KEY (`strain_id`) REFERENCES `Strain` (`id`),
  CONSTRAINT `FK_iwta6yx3wq0ehcm2g1kqa5200` FOREIGN KEY (`id`) REFERENCES `Mutation` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TransgenesisLocus`
--

DROP TABLE IF EXISTS `TransgenesisLocus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TransgenesisLocus` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` int(11) NOT NULL,
  `transgenesis_id` int(11) NOT NULL,
  `transgenesisLocusSequencing_id` int(11) NOT NULL,
  `plant_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_nsg1c9q19pg0yqwgeis2tfeb` (`transgenesisLocusSequencing_id`),
  KEY `FK_2jkl6988m0teexe89dq40mc66` (`transgenesis_id`),
  KEY `FK_5rf9uydw1cj8f8sese5pr1u57` (`plant_id`),
  CONSTRAINT `FK_2jkl6988m0teexe89dq40mc66` FOREIGN KEY (`transgenesis_id`) REFERENCES `Transgenesis` (`id`),
  CONSTRAINT `FK_5rf9uydw1cj8f8sese5pr1u57` FOREIGN KEY (`plant_id`) REFERENCES `Plant` (`id`),
  CONSTRAINT `FK_nsg1c9q19pg0yqwgeis2tfeb` FOREIGN KEY (`transgenesisLocusSequencing_id`) REFERENCES `TransgenesisLocusSequencing` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TransgenesisLocusSequencing`
--

DROP TABLE IF EXISTS `TransgenesisLocusSequencing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TransgenesisLocusSequencing` (
  `sequence` varchar(20000) DEFAULT NULL,
  `sequenceFile` longblob,
  `sequenceFileName` varchar(255) DEFAULT NULL,
  `id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `FK_ofsvp0b5jhc1exo7s820c6ky2` FOREIGN KEY (`id`) REFERENCES `Experiment` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TransgenesisPathogenecity`
--

DROP TABLE IF EXISTS `TransgenesisPathogenecity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TransgenesisPathogenecity` (
  `transgenesis_id` int(11) NOT NULL,
  `pathogenecity_id` int(11) NOT NULL,
  PRIMARY KEY (`transgenesis_id`,`pathogenecity_id`),
  KEY `FK_r8t38jhld7oq4sn1sdbpc2yoo` (`pathogenecity_id`),
  CONSTRAINT `FK_hlgjecbttnm2pydbvvs2ba2o3` FOREIGN KEY (`transgenesis_id`) REFERENCES `Transgenesis` (`id`),
  CONSTRAINT `FK_r8t38jhld7oq4sn1sdbpc2yoo` FOREIGN KEY (`pathogenecity_id`) REFERENCES `Pathogenicity` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TransgenesisResistance`
--

DROP TABLE IF EXISTS `TransgenesisResistance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TransgenesisResistance` (
  `transgenesis_id` int(11) NOT NULL,
  `resistance_id` int(11) NOT NULL,
  PRIMARY KEY (`transgenesis_id`,`resistance_id`),
  KEY `FK_snc5rjxekvchubxwpdmeveke6` (`resistance_id`),
  CONSTRAINT `FK_snc5rjxekvchubxwpdmeveke6` FOREIGN KEY (`resistance_id`) REFERENCES `Resistance` (`id`),
  CONSTRAINT `FK_t4vwrw2hf243skl1gp8u75r88` FOREIGN KEY (`transgenesis_id`) REFERENCES `Transgenesis` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `User`
--

DROP TABLE IF EXISTS `User`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `User` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `profile` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_587tdsv8u5cvheyo9i261xhry` (`login`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2019-01-24 10:03:16
