-- Create table PhenotypeFile

CREATE TABLE `PhenotypeFile` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file` longblob NOT NULL,
  `fileName` varchar(255) NOT NULL,
  `phenotyping_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY PHENOTYPE_FILE_PHENOTYPING_ID_FK (`phenotyping_id`),
  CONSTRAINT PHENOTYPE_FILE_PHENOTYPING_ID_FK FOREIGN KEY (`phenotyping_id`) REFERENCES `Phenotyping` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


-- create a phenotypeFile for existing phenotypings : for that create a stored procedure
DELIMITER $$
 
CREATE PROCEDURE createPhenotypeFile()
BEGIN
	DECLARE finished INT DEFAULT 0;
	DECLARE phenotype_file_id INT;
	DECLARE phenotyping_id INT;
        DECLARE phenotyping_file longblob;
        DECLARE phenotyping_file_name varchar(255);
	
	
	-- declare cursor for phenotyping id
	DEClARE phenotyping_cursor CURSOR FOR SELECT id, phenotypeFile, phenotypeFileName FROM `Phenotyping` ORDER BY id;
 
	-- declare NOT FOUND handler
 	DECLARE CONTINUE HANDLER FOR NOT FOUND SET finished = 1;
 
 	OPEN phenotyping_cursor;
 
 	-- loop on phenotyping ids
	create_phenotype_file: LOOP
 		FETCH phenotyping_cursor INTO phenotyping_id, phenotyping_file, phenotyping_file_name;
		IF finished = 1 THEN 
 			LEAVE create_phenotype_file;
 		END IF;
 
 		-- create a new PhenotypeFile
                IF (phenotyping_file IS NOT NULL AND phenotyping_file_name IS NOT NULL) THEN
                    INSERT INTO `PhenotypeFile` (`file`, `fileName`, `phenotyping_id`) 
                        	VALUES (phenotyping_file, phenotyping_file_name, phenotyping_id);
 		END IF;

 	END LOOP create_phenotype_file;

	CLOSE phenotyping_cursor;

	
END$$
 
DELIMITER ;

CALL createPhenotypeFile();

-- delete old column
ALTER TABLE `Phenotyping`
DROP COLUMN `phenotypeFile`;

ALTER TABLE `Phenotyping`
DROP COLUMN `phenotypeFileName`;

